diff tests/test-jams-writer/test-jams-writer.sh @ 200:f35bbb3e4d41 sonic-annotator-1.2

Change of tack: rename the JSON writer to JAMS. It's simpler than having a JSON writer with a mandatory flag to tell it what sort of JSON to write.
author Chris Cannam
date Tue, 01 Sep 2015 17:51:03 +0100
parents tests/test-json-writer/test-json-writer.sh@3b7ec45abd1c
children 1f8fef5c6ea2
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-jams-writer/test-jams-writer.sh	Tue Sep 01 17:51:03 2015 +0100
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+. ../include.sh
+
+tmpjson=$mypath/tmp_1_$$.json
+
+silentfile=$audiopath/20sec-silence.wav
+
+trap "rm -f $tmpjson" 0
+
+transformdir=$mypath/transforms
+
+mandatory="-w jams"
+
+# This does not yet test for correct values, only for parseable json
+
+for output in instants curve-oss curve-fsr curve-fsr-timed curve-vsr grid-oss grid-fsr notes-regions; do
+
+    $r -d "$testplug:$output" $mandatory --jams-one-file "$tmpjson" --jams-force "$silentfile" 2>/dev/null || \
+	fail "Failed to run for plugin $testplug with output $output"
+
+    check_json "$tmpjson" "test plugin output $output"
+done
+